package com.yeejoin.amos.boot.module.hygf.api.Enum;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum RectificationRoleEnum {

	片区运营角色("area,bw-area,ys-area"), 设计角色("design,bw-design"), 工程角色("engineering,bw-engineering"), 投融角色("ys-tourong"),
	法务角色("ys-fawu"),资产角色("ys-zichan");

	/**
	 * 名称，描述
	 */
	private String name;

	public static RectificationRoleEnum getNodeByName(String name) {
		RectificationRoleEnum dealerReviewEnum = null;
		for (RectificationRoleEnum type : RectificationRoleEnum.values()) {
			if (type.getName().contains(name)) {
				dealerReviewEnum = type;
				break;
			}
		}
		return dealerReviewEnum;
	}
}
